Mercury library 1.0 Translation of CFG grammars into an object model (Bachelor's thesis).

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Enumerations Enumerator Properties
Public Member Functions | List of all members
Mercury.Exceptions.InvalidActionArgumentException Class Reference

An exception representing a problem while type checking the Mercury.Interpreting.RewriteRule{T}. More...

Inheritance diagram for Mercury.Exceptions.InvalidActionArgumentException:

## Public Member Functions
| InvalidActionArgumentException (string rule, string call, int argpos, string reason, params object[] args)
| Initializes a new instance of the InvalidActionArgumentException class. More...
Public Member Functions inherited from Mercury.Exceptions.InterpretingException
| InterpretingException ()
| Initializes a new instance of the InterpretingException class. More...
| InterpretingException (string message)
| Initializes a new instance of the InterpretingException class with a specified message. More...
| InterpretingException (string message, Exception inner)
| Initializes a new instance of the InterpretingException class wit a specified message and an exception that caused this problem. More...
Public Member Functions inherited from Mercury.Exceptions.MercuryException
| MercuryException ()
| Initializes a new instance of the MercuryException class. More...
| MercuryException (string message)
| Initializes a new instance of the MercuryException class with a specified error message. More...
| MercuryException (string message, Exception inner)
| Initializes a new instance of the MercuryException class with a specified error message and an exception that caused the problem. More...

## Additional Inherited Members
Protected Member Functions inherited from Mercury.Exceptions.InterpretingException
| InterpretingException (SerializationInfo info, StreamingContext context)
| Initializes a new instance of the InterpretingException class with serialization data. More...
Protected Member Functions inherited from Mercury.Exceptions.MercuryException
| MercuryException (SerializationInfo info, StreamingContext context)
| Initializes a new instance of the MercuryException class with serialized data. More...

## Detailed Description

An exception representing a problem while type checking the Mercury.Interpreting.RewriteRule{T}.

Definition at line 132 of file InterpretingExceptions.cs.

## Constructor & Destructor Documentation

Mercury.Exceptions.InvalidActionArgumentException.InvalidActionArgumentException | ( | string | rule,
|  | string | call,
|  | int | argpos,
|  | string | reason,
|  | params object[] | args
| ) |  |

Initializes a new instance of the InvalidActionArgumentException class.

Parameters

  rule | The rule containing the action.
  call | The action call.
  argpos | Position of the argument causing the problem.
  reason | The reason of the problem.
  args | Objects to format.

Definition at line 143 of file InterpretingExceptions.cs.

The documentation for this class was generated from the following file:

- Mercury/Mercury/Exceptions/InterpretingExceptions.cs